<!doctype html>
<html dir="ltr" lang="fr-ch">
<head>
  <meta content="text/html; charset=UTF-8" http-equiv="content-type">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Demande de stage - Exemple de traitement PHP</title>
  <meta name="author" content="Marcel Délèze">
  <meta name="robots" content="noindex, nofollow">
  <link rel="icon" href="../../favicon.ico">
  <style>
html, body { margin:0; padding:0; }
body { background-color:#000000; width:auto; max-width:821px; min-width:411px; margin-left:auto; margin-right:auto;  }
table { width:auto; height:auto; border-style:none; border-collapse:collapse; border-spacing:0; margin:3px; padding:0; }
td { width:auto; height:auto; border-style:solid; border-width:thin; border-color:#993399; margin:0; padding-top:2px; padding-left:4px; padding-right:4px; padding-bottom:2px; text-align:center; vertical-align:middle; }
table.struct {  background-color:#f2f2ff; width:auto; margin:0; border-style:none; border-collapse:collapse; border-spacing:0; padding:0; margin-left:auto; margin-right:auto; }
td.struct {  background-color:#f2f2ff; width:auto; margin:0; border-style:none; padding:0; }
td.struct-tete {  background-color:#993399; color:#f2f2ff; text-align:center; width:auto; margin:0; border-style:none; padding:0; padding-bottom:4px; }
td.struct-pied {  background-color:#993399; color:#f2f2ff; font-size:115%; text-align:center; width:auto; margin:0; border-style:none; padding-top:8px; padding-bottom:8px; line-height:2; }
div.struct { width:100%; min-width:411px; height:auto; text-align:left; margin:0; border-style:solid; border-color:#993399; border-top-width:thin; border-bottom-width:0; border-left-width:0; border-right-width:0; border-spacing:0; padding-top:5px; padding-bottom:5px; padding-left:0; padding-right:0;  }
div.centre { height:auto; width:50%; min-width:411px; margin-top:3px; margin-bottom:3px; margin-left:auto; margin-right:auto; border-style:solid; border-color:#993399; border-top-width:thin; border-bottom-width:0; border-left-width:0; border-right-width:0; border-spacing:0; padding-top:2px; padding-bottom:4px; padding-left:0; padding-right:0; text-align:left; }
div.indent { margin:0; padding-top:0; padding-bottom:0; padding-left:5%; padding-right:0; width:auto; border-style:none; text-align:left; }
div.encart { height:auto; width:35%; min-width:160px; float:right; text-align:center; border-style:solid; border-color:#993399; border-top-width:thin; border-bottom-width:thin; border-left-width:thin; border-right-width:0; border-collapse:collapse; margin-top:0; margin-left:1%; margin-right:0; margin-bottom:3px; padding-top:0; padding-left:1%; padding-right:0; padding-bottom:3px;}
div.plaqued { height:auto; min-width:120px; width:auto; float:right; text-align:center; border-style:none; margin:0; padding-top:0; padding-bottom:4px; border-style:none; }
div.plaqueg { height:auto; width:400px; clear:both; float:left; text-align:left; border-style:none; margin-left:0; padding-top:0; padding-bottom:4px; }
h1 { text-align:center; width:auto; color:#f2f2ff; font-size:130%; font-weight:bold; margin:0; margin-top:8px; margin-bottom:4px; padding:0; padding-left:3%; padding-right:1%; border-style:none; }
h2 { text-align:center;width:auto; color:#f2f2ff; font-size:115%; font-weight:bold; margin:0; margin-top:6px; margin-bottom:3px; padding:0; padding-left:3%; padding-right:1%; border-style:none; }
h3 { text-align:center; width:auto; color:#000000; font-size:115%; font-weight:bold; margin:0; margin-top:6px; margin-bottom:2px; padding:0; padding-left:3%; padding-right:1%; border-style:none; }
h4 { text-align:left; width:auto; color:#000000; font-size:100%; font-weight:bold; margin:0; margin-top:6px; padding:0; padding-left:3%; padding-right:1%; border-style:none;  }
p { text-indent:5%; text-align:left; width:auto; margin:0; margin-top:3px; margin-bottom:2px; padding:0; padding-left:3%; padding-right:1%; border-style:none;  word-wrap:break-word; }
p.program { text-align:left; width:auto; font-family:Courier; font-size:87%; text-align:left; margin:0; margin-top:3px; margin-bottom:2px; padding:0; padding-left:3%; padding-right:1%; border-style:none; word-wrap:break-word; }
p.note { text-indent:-1%; font-size:10pt; text-align:left; width:auto; margin:0; margin-top:3px; margin-bottom:2px; padding:0; padding-left:2%; padding-right:1%; border-style:none;  word-wrap:break-word; }
span.formule { font-family:Courier; font-size:87%; margin-left:2px; margin-right:2px; }
ul, ol { text-align:left; margin-top:0; margin-bottom:4px; margin-left:2%; }
li { word-wrap:break-word; margin-top:2px; margin-bottom:2px; padding-right:1%; }
blockquote { margin-top:0; margin-bottom:4px; }
dl { text-align:left; margin-top:0; margin-bottom:0; padding-left:3%; padding-right:1%; }
dt { text-align:left; margin-top:4px; margin-bottom:0; word-wrap:break-word; }

p { text-indent:0; }
p.note { text-indent:0; }
div.svg {float:left; margin:6px; padding:0; border:none; width:32px; height:32px; }
	</style>
</head>
<body>
<table class="struct">
	<tr>
		<td class="struct-tete">
<div class="svg" title="Tétraèdre">
	<svg width="32" height="32" viewBox="40,40 320,320">
		<rect x="40" y="40" width="320" height="320" style="fill:#f2f2ff; stroke:none" />
		<polygon points="150,250 60,340 150,60" style="stroke:none; fill:rgb(79,24,236)" />
		<polygon points="150,250 340,250 150,60" style="stroke:none; fill:#993399" />
		<polygon points="150,250 60,340 340,250" style="stroke:none; fill:rgb(87,250,255)" />
		<polyline points="60,340 340,250 150,60, 60,340" stroke="black" fill="none" stroke-width="1" />
		<line x1="150" y1="250" x2="60" y2="340" stroke="black" stroke-width="1" stroke-dasharray="10 7" />
		<line x1="150" y1="250" x2="340" y2="250" stroke="black" stroke-width="1" stroke-dasharray="10 7" />
		<line x1="150" y1="250" x2="150" y2="60" stroke="black" stroke-width="1" stroke-dasharray="10 7" />
	</svg>
</div><!-- svg -->
			<h2>Demande de stage</h2>
			<h1>Exemple de traitement PHP</h1>
		</td>
	</tr>
	<tr>
		<td class="struct" style="padding:0;">
			<div class="struct" style="border-style:none;">
<p style="text-align:center;">Les données ont été récupérées. Le traitement des données consiste à les vérifier et à les afficher.</p>
			</div><!--struct -->
			<div class="struct">
<?php
	/* Validation des données
	 */
	$err='';	
	$nom = $_POST['nom'];
	if (strlen($nom)==0){
		$err .= '<p>Nom Prénom
		<br><b>ERREUR:</b> Le champ est vide.</p>';
	}
	$sexe = $_POST['sexe'];
	$interets = $_POST['interets'];
	$duree= $_POST['duree'];
	function entier_entre($x, $a, $b) { 	// ------ Validation du champ de type "nombre entier" ------
		sscanf($x, "%d%s", $vx, $s); 
		if (is_null($vx) or !is_null($s)) {
			return NULL;
		} else {
			sscanf($a, "%d%s", $va, $s);
			if (is_null($va) or !is_null($s))
				$va=intval("-999999999999");
			sscanf($b, "%d%s", $vb, $s);
			if (is_null($vb) or !is_null($s))
				$vb=intval("999999999999");
			if (($va<=$vx) and ($vx<=$vb))
				return $vx;
			else
				return NULL;
		}
	}
	$ante = entier_entre($_POST['ante'], "0", "");
	if (is_null($ante)){
		$err .= '<p>Nombre de jours de stage déjà accomplis dans l\'entreprise:
			<br><b>ERREUR:</b> «'.$_POST['ante'].' » (n\'est pas un nombre entier) ou (est hors des bornes 0..).</p>';
	} 
	function reel_entre($x, $a, $b) {	// ------ Validation du champ de type "nombre réel" ------
		sscanf($x, "%f%s", $vx, $s); 
		if (is_null($vx) or !is_null($s)) {
			return NULL;
		} else {
			sscanf($a, "%f%s", $va, $s);
			if (is_null($va) or !is_null($s))
				$va=floatval("-9.99999999999e99");
			sscanf($b, "%f%s", $vb, $s);
			if (is_null($vb) or !is_null($s))
				$vb=floatval("9.99999999999e99");
			if (($va<=$vx) and ($vx<=$vb))
				return $vx;
			else
				return NULL;
		}
	}
	$deplac = reel_entre($_POST['deplac'], "0", "40");
	if (is_null($deplac)){
		$err .= '<p>Indemnités de déplacements: prix d\'un billet aller-retour en transports publics entre le domicile et le lieu de travail, au max. 40.00
		<br><b>ERREUR:</b> «'.$_POST['deplac'].'» (n\'est pas un nombre réel) ou (est hors des bornes 0..40).</p>';
	}
	$cv = $_POST['cv'];
	if (strlen($cv)<=51){
		$err .= '<p>Curriculum vitae:
		<br><b>ERREUR:</b> Le champ est à compléter.</p>';
	}
	if (strlen($err)>0){
		echo $err;
	} else {
		/*	Traitement des données
		 */
		echo '<p>Prénom Nom: <b>'.$nom.'</b></p>';
		echo '<p>Sexe: '.$sexe.'</p>';
		echo '<p>Domaines d\'intérêts:</p>';
		if (isset($interets)) {
			echo '<ul>';
			reset($interets);
			foreach ($interets as $comp)
				echo '<li>'.$comp.'</li>';
			echo '</ul>';
		} else {
			echo '<div class="indent">
					<p>(aucune case cochée)</p>
				</div><!-- indent -->';
		}
		echo '<p>Durée du stage '.$duree.' jours.</p>';
		echo '<p>Nombre de jours de stage déjà accomplis dans l\'entreprise: '.$ante.'</p>';
		echo '<p>Indemnités de déplacements: '.number_format($deplac, 2).'</p>';
		echo '<p><b>Curriculum vitae:</b></p>';
		echo '<div class="indent"><p>'.$cv.'</p></div><!-- indent -->';
	}
?>
				</div><!-- struct -->
				<div class="struct">
<p style="text-align:center;">Le script PHP qui récupère et traite les données, nommé «recup.php», se trouve dans <a href="recup.zip">ce fichier compressé</a>.</p>
			</div><!-- struct -->
		</td><!-- struct -->
	</tr>
    <tr>
		<td class="struct-pied">
			<a style="color:#f2f2ff;" href="../../contact/formulaire.php">Contact</a> &nbsp; <b>|</b> &nbsp; 
			<a style="color:#f2f2ff;" href="../../index.html">Accueil</a> &nbsp; &gt; &nbsp;
            <a style="color:#f2f2ff;" href="../index.php">Scripts PHP</a>
		</td><!-- struct -->
	</tr>
</table>
</body>
</html>